Developers
V1MeMoodExport

Export your private mood journal including earlier versions

GET
/v1/me/mood/export
AuthorizationBearer <token>

In: header

Query Parameters

cursor?string
Match^[A-Za-z0-9_-]+$
Lengthlength <= 512

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/me/mood/export"
{  "format": "medbuk.private-mood",  "schemaVersion": "1.0.0",  "entries": [    {      "mood": "awful",      "factors": [        "work"      ],      "note": "string",      "effectiveAt": "2019-08-24T14:15:22Z",      "timeZone": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "version": 1,      "recordedAt": "2019-08-24T14:15:22Z"    }  ],  "nextCursor": "string",  "exportedAt": "2019-08-24T14:15:22Z"}